GUIDELLM2PCP(1)

NAME
guidellm2pcp - GuideLLM benchmark results importer

SYNOPSIS
guidellm2pcp [-hv] [-a archive] [-H hostname] results [...]

DESCRIPTION
guidellm2pcp is a performance metrics importer tool that creates a PCP archive from the JSON results of a GuideLLM benchmark.

An archive spanning the time for which the benchmark and its run iterations were active. Discrete PCP metrics are created for each recorded aspect of a run, and logged once at the start and once at the end of each iteration, followed by a mark record.

This allows PCP tools to report on these metrics in a meaningful way alongside other system (kernel, hardware, vLLM, and so on) metrics gathered during the benchmark.

The only mandatory command line argument is the JSON results file from a GuideLLM invocation. This JSON can optionally be wrapped with additional Model Furnace metadata, and if this is detected additional PCP labels will be extracted and stored (such as model and inference server names).

OPTIONS
The available command line options are:

-a archive, --archive=archive
    Specified the name of the output PCP archive to be produced. By default, an archive name using the timestamp of the start of the benchmark run will be used.

-H hostname, --hostname=hostname
    Sets the hostname that will be stamped into the PCP archive label header.

-h, --help
    Display usage message and exit.

-v, --verbose
    Report progress as each run is identified and its values saved.

SEE ALSO
PCPIntro(1), pminfo(1), pmrep(1), LOGARCHIVE(5), and PMNS(5).